description = "智能分析：自动选择框架分析（write前）或内容分析（write后），支持 --type 手动指定"

prompt = """

对小说项目进行智能化综合分析。根据当前创作阶段，自动选择执行**框架一致性分析**（write 之前）或**内容质量分析**（write 之后）。

## 核心理念

**一个命令，双重智能**：
- 📐 **框架分析**：在写作前验证规格、计划、任务的一致性（类似 spec-kit）
- 📝 **内容分析**：在写作后验证已完成内容的质量和符合度

**克制而不简陋**：
- 用户只需执行 `/analyze`，系统自动判断应该执行哪种分析
- 支持手动指定模式：`{{args}} --type=framework` 或 `--type=content`

## 执行流程

### 1. 智能阶段检测

运行 `.specify/scripts/bash/check-analyze-stage.sh --json` 获取当前创作状态：

```json
{
  "analyze_type": "framework|content",
  "chapter_count": 0,
  "has_spec": true,
  "has_plan": true,
  "has_tasks": true,
  "story_dir": "/path/to/story",
  "reason": "原因说明"
}
```

### 2. 决策逻辑

解析用户参数 `{{args}}`：

**手动指定模式**（优先级最高）：
- 包含 `--type=framework` → 强制框架分析
- 包含 `--type=content` → 强制内容分析

**🆕 专项分析模式**（新增）：
- 包含 `--focus=opening` → 开篇专项分析（重点分析前3章）
- 包含 `--focus=pacing` → 节奏专项分析（重点分析爽点/冲突分布）
- 包含 `--focus=character` → 人物专项分析（重点分析人物弧光）
- 包含 `--focus=foreshadow` → 伏笔专项分析（重点分析伏笔埋设与回收）
- 包含 `--focus=logic` → 逻辑专项分析（重点查找逻辑漏洞）
- 包含 `--focus=style` → 风格专项分析（重点检查文笔一致性）

**自动判断模式**：
- 章节数 = 0 → **框架分析**
- 章节数 < 3 → **框架分析**（但提示可以继续写作）
- 章节数 ≥ 3 → **内容分析**

### 3. 执行对应分析

根据决策结果，执行以下两种分析之一。


## 模式A：框架一致性分析

**目标**：在写作前验证准备工作是否充分，确保规格、计划、任务之间无矛盾。

### A1. 加载基准文档

- 宪法文件：`.specify/memory/constitution.md`
- 规格文件：`stories/*/specification.md`
- 计划文件：`stories/*/creative-plan.md`
- 任务文件：`stories/*/tasks.md`

### A2. 覆盖率分析

检查所有规格需求是否都有对应的计划和任务：

```markdown
## 覆盖率分析报告

### P0 需求覆盖
- [需求1：主角成长线] → ✅ 计划第3章段、任务#5-8
- [需求2：反派设定] → ⚠️ 计划中提及，但无具体任务
- [需求3：悬念设置] → ❌ 计划和任务中均未覆盖

### P1 需求覆盖
覆盖率：75% (3/4)

### P2 需求覆盖
覆盖率：50% (2/4)

### 任务完整性
- 所有计划章节是否有对应任务：⚠️ 第10-12章缺少任务
- 任务是否涵盖所有关键场景：✅ 是
```

### A3. 一致性检查

验证文档之间是否存在矛盾：

```markdown
## 一致性检查报告

### 规格 ↔ 计划
- ✅ 主题表达一致
- ⚠️ 规格要求"快节奏"，但计划前5章节奏较慢
- ❌ 规格禁止"感情戏过多"，但计划第6-8章大量感情线

### 计划 ↔ 任务
- ✅ 所有计划章节都有任务
- ⚠️ 任务总字数预估 150K，但计划目标是 100K
- ❌ 计划要求第5章是高潮，但任务标注为"过渡章节"

### 宪法合规
- ✅ 计划符合创作宪法的价值观
- ✅ 任务分解符合质量标准
```

### A4. 逻辑问题预警

分析故事线设计中的潜在逻辑漏洞：

```markdown
## 逻辑问题预警

### 时间线冲突
- ⚠️ 第3章是"三年后"，但第5章角色提到"两年前的事"，时间对不上

### 角色能力矛盾
- ❌ 第2章主角"不会武功"，第4章任务描述"使用剑术击败敌人"

### 伏笔未规划
- ⚠️ 第1章埋伏笔"神秘令牌"，但后续章节无回收计划
```

### A5. 准备就绪评估

评估是否可以开始写作：

```markdown
## 准备就绪评估

### 必要条件 (P0)
- [x] 规格完整且明确
- [x] 计划覆盖所有 P0 需求
- [ ] 任务分解完整（缺少3个章节的任务）
- [ ] 无致命逻辑矛盾（发现2处）

### 建议条件 (P1)
- [x] 角色档案完善
- [ ] 世界观设定文档不够详细
- [x] 时间线规划清晰

### 总体评分：6/10

**建议**：
1. 🔴 必须修复：补充第10-12章的任务
2. 🔴 必须修复：解决时间线和角色能力矛盾
3. 🟡 建议优化：补充世界观设定文档
4. 🟢 可选：调整前5章节奏设计

**结论**：当前**不建议开始写作**，请先解决 P0 问题。
```


## 模式B：内容质量分析

**目标**：对已完成的内容进行综合质量验证，确保符合规格并提供改进建议。

### B1. 加载验证基准

- 宪法文件：`.specify/memory/constitution.md`
- 规格文件：`stories/*/specification.md`
- 计划文件：`stories/*/creative-plan.md`
- 任务列表：`stories/*/tasks.md`
- **已完成内容**：`stories/*/content/*.md` 或 `stories/*/chapters/*.md`

### B2. 宪法合规性检查

验证作品是否遵循创作宪法的原则：

```markdown
## 宪法合规性报告

### 核心价值观检查
- [x] 价值观原则1：积极向上的主题 ✅
- [x] 价值观原则2：避免低俗内容 ✅
- [ ] 价值观原则3：尊重文化传统 ⚠️ 第7章有争议描述

### 质量标准验证
- 逻辑一致性：8/10 ⚠️ 第3章和第6章有小矛盾
- 人物饱满度：7/10（主角层次丰富，配角略单薄）
- 文字水准：8/10（流畅度好，部分描写可加强）

### 风格一致性
- 叙事风格：一致 ✅
- 语言风格：一致 ✅
- 节奏控制：前慢后快，整体合理 ✅

**总体评分：8/10**
```

### B3. 规格符合度分析

检查实现是否满足规格要求：

```markdown
## 规格符合度分析

### 核心需求覆盖
#### P0（必须包含）
- [需求1：父子冲突] → ✅ 第2-4章充分展现
- [需求2：悬念设置] → ⚠️ 第5章悬念不足
- [需求3：反派立体] → ❌ 反派尚未正式出场

覆盖率：67% (2/3)

#### P1（应该包含）
覆盖率：75% (3/4)

#### P2（可以包含）
覆盖率：50% (2/4)

### 目标达成度
- 目标读者适配：85%（节奏和情节符合目标读者偏好）
- 市场定位符合：80%（差异化卖点清晰，但需加强）
- 成功标准达成：5/8 ⚠️ 部分指标未达标

### 约束条件遵守
- 内容红线：✅ 无违规
- 创作约束：✅ 字数、更新频率符合要求
- 技术约束：✅ 平台格式规范

**总体评分：7/10**
```

### B4. 计划执行分析

评估实际执行与计划的偏差：

```markdown
## 计划执行分析

### 章节架构对比
| 计划 | 实际 | 偏差分析 |
|------|------|----------|
| 第1章：开篇钩子 | ✅ 完成 | 符合预期，开篇吸引力强 |
| 第2章：冲突展开 | ✅ 完成 | 略有调整，增加了伏笔 |
| 第3章：转折点 | ⚠️ 完成 | 转折提前到第2章结尾 |
| 第4章：深化矛盾 | ✅ 完成 | 完全符合计划 |
| 第5章：高潮前奏 | ❌ 延后 | 实际成为过渡章节 |

### 人物发展轨迹
- 主角成长弧：符合度 85%（成长速度略快于计划）
- 配角功能：实现度 70%（配角B的作用未充分体现）
- 关系演变：符合度 90%（父子关系演变符合预期）

### 世界观展开
- 第一层设定（基础规则）：✅ 按计划展开
- 第二层设定（权力结构）：⚠️ 提前揭示（计划第8章，实际第5章）
- 第三层设定（终极秘密）：待展开

**符合度评分：8/10**
```

### B5. 内容质量分析

深入分析作品质量：

```markdown
## 内容质量分析

### 文本统计
- 总字数：45,230 字
- 平均章节长度：6,461 字
- 完成进度：35%（7/20 章）

### 结构分析
- 情节密度：中等（每章 2-3 个情节点）
- 冲突频率：适中（平均每章 1.5 次冲突）
- 节奏变化：前3章慢，第4-7章加快，符合预期

### 技术问题
#### 逻辑问题
1. 第3章：角色提到"三年前的事"，但时间线显示只过了两年
2. 第6章：主角使用了第2章明确说"不会"的能力

#### 连贯性问题
1. 第4章结尾悬念，第5章开篇未衔接

#### 人物一致性
1. 主角在第2章和第5章对同一类事件反应矛盾（第2章冲动，第5章冷静）

### 亮点识别
1. 第1章：开篇钩子设计精妙，引入自然
2. 第4章：父子对话层次丰富，情感真挚
3. 第6章：动作场面描写流畅，画面感强

**质量评分：7.5/10**
```

### 🆕 B5.1 专项分析（可选）

**如果用户指定了 `--focus` 参数，执行相应的专项深度分析**：


#### 专项1：开篇分析（--focus=opening）

**目标**：深度分析前1-3章是否符合黄金开篇法则

**分析维度**：

```markdown
## 开篇专项分析报告

### 黄金法则检查

**如果存在 `spec/presets/golden-opening.md`，自动读取并应用五大法则**

#### 法则1：动态场景切入
- ✅ 第一章开场方式：[动作/对话/冲突] 直接切入
- ❌ 发现问题：开篇有200字静态环境描写（违反法则）
- 建议：删除或缩短至50字以内，直接进入动作

#### 法则2：核心冲突前置
- ✅ 核心冲突抛出时机：第1章第[X]节
- ⚠️ 冲突强度：中等（建议提升到"威胁主角生存/目标"级别）
- 具体：[描述冲突内容]

#### 法则3：避免信息轰炸
- ✅ 世界观透露方式：滴灌式，自然融入情节
- ❌ 发现问题：第1章第3节有500字设定说明（违反法则）
- 建议：拆分到前5章，每章透露100字

#### 法则4：限制出场人数
- ✅ 第一章有名有姓角色：[X]人（符合≤3人要求）
- ❌ 发现问题：第一章出场5人，过多（违反法则）
- 建议：延迟[角色D]和[角色E]出场到第2-3章

#### 法则5：快速展现金手指
- ✅ 金手指展现时机：第[X]章
- ⚠️ 展现方式：仅提及，未实际使用（建议实际展示效果）
- 具体：[描述展现方式]

### 开篇钩子评估
- **第一句钩子强度**：[强/中/弱]
  - 当前：[引用第一句]
  - 分析：[是否吸引读者]
  - 建议：[优化方向]

- **第一章结尾钩子**：[强/中/弱]
  - 当前：[引用结尾段落]
  - 分析：[是否引发期待]
  - 建议：[优化方向]

### 前三章节奏检查
| 章节 | 目标 | 实际完成度 | 评分 |
|------|------|-----------|------|
| 第1章 | 钩住读者，建立期待 | [描述实际效果] | [X]/10 |
| 第2章 | 展现能力，强化钩子 | [描述实际效果] | [X]/10 |
| 第3章 | 初步爽点，确认追读 | [描述实际效果] | [X]/10 |

**开篇评分：[X]/10**
**建议**：[具体改进方向]
```


#### 专项2：节奏分析（--focus=pacing）

**目标**：分析全文节奏分布，评估爽点/冲突密度

**分析维度**：

```markdown
## 节奏专项分析报告

### 节奏参数（如有rhythm-config.json）
**读取 `spec/presets/rhythm-config.json`（如果存在）**：
- 目标章节字数：[X]字
- 目标小高潮间隔：[X]章
- 目标大高潮间隔：[X]章
- 目标节奏风格：[快/适中/慢]

### 冲突分布统计
| 章节 | 冲突次数 | 冲突类型 | 冲突强度 | 符合预期？ |
|------|---------|----------|---------|-----------|
| 第1章 | 2次 | 人际/内心 | 中/高 | ✅ |
| 第2章 | 1次 | 人际 | 低 | ⚠️ 偏少 |
| 第3章 | 3次 | 人际/外部 | 高/高/中 | ✅ |
| ... | ... | ... | ... | ... |

**平均冲突密度**：[X]次/章
**建议密度**：[Y]次/章（基于类型和节奏配置）

### 爽点分布统计
| 章节 | 爽点类型 | 爽点强度 | 间隔章数 |
|------|---------|---------|---------|
| 第1章 | - | - | - |
| 第3章 | 打脸 | 高 | 3章 |
| 第7章 | 升级 | 中 | 4章 |
| ... | ... | ... | ... |

**平均爽点间隔**：[X]章
**建议间隔**：[Y]章（基于rhythm-config或类型标准）

### 高潮分布
- **小高潮**：第[X]、[Y]、[Z]章
  - 间隔合理性：✅ 符合5章一次的标准
- **大高潮**：第[X]章
  - 位置合理性：⚠️ 建议第30章，实际第25章（提前）


**节奏评价**：
- ✅ 整体起伏合理
- ⚠️ 第10-15章略显平淡
- ❌ 第20章有节奏断裂

**改进建议**：
1. 在第12章增加一个中等强度冲突
2. 第20章补充过渡情节，避免断裂感

**节奏评分：[X]/10**
```


#### 专项3：人物分析（--focus=character）

**目标**：评估人物弧光、一致性、成长轨迹

```markdown
## 人物专项分析报告

### 主角弧光追踪
**从specification.md和creative-plan.md读取计划的人物弧光**

| 节点 | 计划状态 | 实际状态 | 符合度 |
|------|---------|---------|--------|
| 起始 | [A状态] | [实际A] | ✅/⚠️/❌ |
| 触发 | [B状态] | [实际B] | ✅/⚠️/❌ |
| 成长 | [C状态] | [实际C] | ✅/⚠️/❌ |
| 转变 | [D状态] | [待展开] | - |

**成长合理性评估**：
- ✅ 成长有触发事件
- ⚠️ 成长速度略快（第3章到第7章跨度过大）
- ✅ 成长符合人物性格

### 主角一致性检查
- **性格一致性**：
  - ✅ 第1-5章：冲动型人格保持一致
  - ❌ 第6章：面对类似情境突然变得冷静（矛盾）

- **能力一致性**：
  - ✅ 武力值逐步提升，符合设定
  - ❌ 第7章使用了未学过的技能

- **动机一致性**：
  - ✅ 核心目标清晰且贯穿始终

### 配角功能评估
| 配角 | 计划功能 | 实际功能 | 实现度 |
|------|---------|---------|--------|
| 配角A | 导师型 | 导师型 | 90% ✅ |
| 配角B | 对手型 | 未充分体现 | 40% ⚠️ |
| 配角C | 陪衬型 | 陪衬型 | 85% ✅ |

**建议**：
- 增加配角B的对抗戏份（第8-10章）
- 明确配角B的动机和立场

### 关系网络演变
```
第1章：主角 ←敌对← 反派A
              ↓
            师徒
              ↓
            配角A

第7章：主角 ←复杂关系← 反派A
              ↓          ↑
            师徒        误会
              ↓          ↓
            配角A → 配角B
```

**关系演变合理性**：✅ 符合预期

**人物评分：[X]/10**
```


#### 专项4：伏笔分析（--focus=foreshadow）

**目标**：检查伏笔埋设与回收的完整性

```markdown
## 伏笔专项分析报告

### 从specification.md 5.4节读取伏笔管理表

### 伏笔埋设检查
| 伏笔ID | 计划埋设章节 | 实际埋设章节 | 埋设质量 |
|--------|------------|------------|---------|
| F-001 | 第1章 | 第1章 | ✅ 自然，不突兀 |
| F-002 | 第3章 | 第5章 | ⚠️ 延迟2章，需确认后续影响 |
| F-003 | 第5章 | 未埋设 | ❌ 缺失 |

### 伏笔回收检查
| 伏笔ID | 计划回收章节 | 实际回收章节 | 回收完整性 |
|--------|------------|------------|-----------|
| F-001 | 第10章 | 待完成 | - |
| F-002 | 第15章 | 待完成 | - |

### 非计划伏笔
**在实际创作中新增的伏笔（未在specification中）**：
1. 第2章：神秘人物暗示 → ⚠️ 需要在specification中补充回收计划
2. 第6章：古老预言提及 → ⚠️ 需要决策是否回收

### 伏笔密度评估
- 平均每[X]章埋设1个伏笔
- 建议密度：每[Y]章1个（基于类型标准）
- 评价：✅ 符合 / ⚠️ 偏多 / ❌ 偏少

### 风险提示
- 🔴 伏笔F-003未埋设，可能影响第15章剧情
- 🟡 新增伏笔2个，需补充回收计划

**伏笔管理评分：[X]/10**
```


#### 专项5：逻辑分析（--focus=logic）

**目标**：深度查找逻辑漏洞和矛盾

```markdown
## 逻辑专项分析报告

### 时间线检查
**构建完整时间线**：
```
绝对时间         故事时间     章节     关键事件
2020-01-01      第0天        -       [背景]
2020-01-05      第4天        第1章    主角离家
2020-01-10      第9天        第3章    遇到导师
2023-01-10      三年后       第5章    ⚠️ 与第7章矛盾
2022-01-10      两年后       第7章    角色回忆"三年前的事"
```

**时间线矛盾**：
- ❌ 第5章和第7章时间对不上（发现1处）
- 建议：统一为"两年后"

### 因果逻辑检查
| 事件A（原因） | 事件B（结果） | 逻辑合理性 |
|-------------|-------------|-----------|
| 第2章主角练功 | 第4章实力提升 | ✅ 合理 |
| 第3章宝物丢失 | 第6章宝物出现 | ❌ 未交代如何找回 |
| 第5章立誓言 | 第7章违背誓言 | ⚠️ 缺少心理铺垫 |

### 能力一致性检查
| 章节 | 能力设定 | 矛盾？ |
|------|---------|--------|
| 第2章 | 主角不会武功 | - |
| 第4章 | 主角学习基础剑法 | ✅ 合理过渡 |
| 第6章 | 主角使用高级剑法 | ❌ 跨度过大，缺少学习过程 |

### 世界观一致性
- ✅ 魔法规则前后一致
- ❌ 第3章提到"科技禁止"，第8章出现高科技武器
- ⚠️ 社会阶层设定在第5章和第9章有细微差异

### 动机合理性
| 角色 | 行为 | 动机解释 | 合理性 |
|------|------|---------|--------|
| 主角 | 第5章冒险救人 | 正义感 | ✅ 符合人设 |
| 配角A | 第7章背叛 | 未解释 | ❌ 突兀，缺少铺垫 |
| 反派 | 第9章放过主角 | 欣赏才能 | ⚠️ 稍显牵强 |

**逻辑严密性评分：[X]/10**
```


#### 专项6：风格分析（--focus=style）

**目标**：检查文笔风格一致性，对比style-reference.md

```markdown
## 风格专项分析报告

### 如果存在 style-reference.md（来自 /book-internalize）

**读取 `.specify/memory/style-reference.md`，对比实际文风**

### 词汇一致性检查
**参考文风词汇偏好**：
- 目标常用修饰词：[列表]
- 实际常用修饰词：[列表]
- 匹配度：[X]%

**禁用词检查（AI腔）**：
- ❌ 发现使用"弥漫着"共[X]次（style-reference禁用）
- ❌ 发现使用"摇摇欲坠"共[X]次（style-reference禁用）
- 建议：替换为对标作品常用词汇

### 句式一致性检查
- 平均句长：实际[X]字 vs 目标[Y]字
- 段落密度：实际[X]字/段 vs 目标[Y]字/段
- 评价：✅ 符合 / ⚠️ 偏差较大

### 描写比例检查
| 类型 | 目标比例 | 实际比例 | 偏差 |
|------|---------|---------|------|
| 对话 | 35% | 40% | +5% ⚠️ |
| 动作 | 40% | 30% | -10% ❌ |
| 描写 | 15% | 20% | +5% ⚠️ |
| 心理 | 10% | 10% | 0% ✅ |

**建议**：增加动作描写比例，减少对话和描写

### 叙事风格一致性
- 视角：✅ 第三人称限制，保持一致
- 语言：✅ 口语化风格，符合目标
- 节奏：⚠️ 前3章符合"快节奏"，第4-7章偏慢
- 情感基调：✅ 热血基调贯穿

### 章节间风格对比
| 章节 | 风格特点 | 与参考作品相似度 |
|------|---------|-----------------|
| 第1章 | 简洁有力，动词密集 | 85% ✅ |
| 第2章 | 略显啰嗦，修饰词过多 | 60% ⚠️ |
| 第3章 | 回归简洁风格 | 80% ✅ |

**风格一致性评分：[X]/10**
**建议**：参考第1章和第3章风格，修订第2章
```


### B6. 任务完成度审计

检查任务执行情况：

```markdown
## 任务完成度

### 总体进度
- 总任务数：28
- 已完成：12 (43%)
- 进行中：2 (7%)
- 未开始：14 (50%)

### 关键里程碑
- [里程碑1：前5章完成] → ✅ 已达成
- [里程碑2：主线推进到50%] → ⚠️ 延期（计划第10章，实际第7章仅30%）
- [里程碑3：第一卷完结] → 待定

### 阻塞和风险
1. 第5章任务"高潮场景"未按计划执行，影响后续节奏
2. 反派角色尚未出场，可能影响中期冲突设计
```

### B7. 生成改进建议

基于分析结果提供具体建议：

```markdown
## 改进建议

### 紧急修复（P0）
1. **时间线矛盾**
   - 影响：破坏读者信任，影响逻辑严密性
   - 建议：统一第3章和第6章的时间表述，修改为"两年前"
   - 位置：第3章第2节，第6章第4节

2. **角色能力矛盾**
   - 影响：严重影响人物可信度
   - 建议：在第4-5章之间增加"学习武功"的过渡情节，或删除第6章的武功描写
   - 位置：第2章第5节，第6章第3节

### 优化建议（P1）
1. **第5章悬念不足**
   - 当前：第5章结尾平淡，缺少钩子
   - 建议：在结尾增加一个意外事件或信息，引发读者期待
   - 预期效果：提升读者留存率

2. **配角B功能未体现**
   - 当前：配角B出场但作用不明
   - 建议：在第8-9章安排配角B的关键作用，呼应前文铺垫
   - 预期效果：增强配角存在感，丰富故事层次

### 长期改进（P2）
1. **世界观设定提前揭示**
   - 理由：可能影响后期神秘感营造
   - 方案：评估是否需要调整后续揭示节奏，或增加更深层设定
   - 时机：第10章之前决策

**优先级排序**：P0-1（时间线）→ P0-2（能力矛盾）→ P1-1（悬念）→ P1-2（配角）
```

### B8. 生成验证报告

创建 `stories/*/analysis-report.md`：

```markdown
# 作品分析报告

## 摘要
- 分析日期：2025-10-01
- 分析范围：第1-7章
- 分析字数：45,230 字
- 总体评分：7.5/10
- 建议行动：继续创作，批量修订前7章

## 核心指标
| 维度 | 得分 | 说明 |
|------|------|------|
| 宪法合规 | 8/10 | 价值观正确，风格一致，有1处需注意 |
| 规格符合 | 7/10 | P0需求覆盖67%，需补充反派戏份 |
| 计划执行 | 8/10 | 整体符合，局部调整合理 |
| 内容质量 | 7.5/10 | 有2处逻辑问题，1处人物矛盾需修复 |
| 读者体验 | 8/10 | 节奏合理，亮点突出，可读性强 |

**平均分：7.7/10**

## 关键发现
1. ✅ 开篇吸引力强，第1章钩子设计优秀
2. ✅ 父子关系演变符合预期，情感层次丰富
3. ⚠️ 存在2处逻辑矛盾，需要修复
4. ⚠️ 第5章悬念不足，影响读者留存
5. ❌ P0需求"反派立体"尚未实现

## 下一步行动
1. 🔴 **立即修复**：时间线矛盾、角色能力矛盾（预计2小时）
2. 🟡 **近期优化**：第5章增加悬念、第8-9章安排配角B戏份（预计1天）
3. 🟢 **继续创作**：按计划推进第8-10章，重点补充反派戏份
4. 📅 **计划检查**：第10章完成后再次运行 `/analyze` 进行阶段性验证
```


## 分析维度框架

### 七大分析维度
1. **合规性**：符合宪法和规格
2. **一致性**：逻辑、人物、世界观
3. **完整性**：需求覆盖、任务完成
4. **质量性**：文字、结构、节奏
5. **创新性**：亮点、特色、突破
6. **可读性**：流畅、吸引、共鸣
7. **可行性**：进度、资源、风险

## 评分标准

```text
10分：完美，超出预期
8-9分：优秀，小瑕疵
6-7分：良好，需优化
4-5分：及格，问题较多
1-3分：差，需要重写
```

## 使用场景

### 场景1：准备开始写作

```bash
用户：/tasks
AI：已生成 28 个写作任务

用户：/analyze
AI：检测到无章节内容，执行框架一致性分析...

【覆盖率分析】
⚠️ 规格需求"反派设定"无对应任务
❌ 计划第10-12章缺少任务分解

【一致性检查】
❌ 规格要求"快节奏"，但计划前5章节奏慢

【准备评分】6/10
建议：修复上述问题后再开始写作
```

### 场景2：完成部分章节

```bash
用户：/write（完成第1-7章）

用户：/analyze
AI：检测到已完成 7 章，执行内容质量分析...

【宪法合规】8/10 ✅
【规格符合】7/10 ⚠️ P0需求覆盖67%
【内容质量】7.5/10 ⚠️ 有2处逻辑问题

【改进建议】
P0：修复时间线矛盾、角色能力矛盾
P1：第5章增加悬念

【建议】：修复P0问题后，继续创作第8-10章
```

### 场景3：手动指定模式

```bash
用户：/analyze --type=framework
AI：强制执行框架分析模式...

（即使有章节内容，也执行框架分析）

用户：/analyze --type=content
AI：强制执行内容分析模式...

（即使章节不足3章，也执行内容分析）
```

### 🆕 场景4：专项分析

```bash
# 开篇专项分析（检查前3章是否符合黄金开篇法则）
用户：/analyze --focus=opening
AI：执行开篇专项分析...

【黄金法则检查】（自动读取 golden-opening.md）
❌ 法则1违反：第一章有200字静态环境描写
⚠️ 法则5延迟：金手指在第4章才展现（建议第2-3章）

【开篇钩子评估】
第一句钩子：中等强度
第一章结尾钩子：强

【建议】：删除开篇环境描写，金手指提前到第3章


# 节奏专项分析（检查爽点分布和冲突密度）
用户：/analyze --focus=pacing
AI：执行节奏专项分析...

【节奏参数】（自动读取 rhythm-config.json）
目标爽点间隔：5章
实际平均间隔：7章 ⚠️ 偏长

【冲突分布】
平均冲突密度：1.2次/章
建议密度：2次/章 ❌ 不足

【建议】：在第5、10、15章增加爽点设计


# 逻辑专项分析（深度查找逻辑漏洞）
用户：/analyze --focus=logic
AI：执行逻辑专项分析...

【时间线矛盾】
❌ 第5章"三年后" vs 第7章"两年后"

【能力矛盾】
❌ 第2章"不会武功" → 第6章"使用高级剑法"（跨度过大）

【因果逻辑】
❌ 第3章宝物丢失 → 第6章宝物出现（未交代如何找回）

【建议】：修复上述3处逻辑矛盾


# 风格专项分析（对比 style-reference.md）
用户：/analyze --focus=style
AI：执行风格专项分析...

【词汇一致性】（自动读取 style-reference.md）
❌ 发现禁用词"弥漫着"共12次
⚠️ 实际平均句长35字 vs 目标25字（偏长）

【描写比例】
对话：40%（目标35%）+5% ⚠️
动作：30%（目标40%）-10% ❌

【建议】：
1. 替换禁用词为对标作品常用词
2. 缩短句子，增加短句比例
3. 增加动作描写，减少对话
```

## 与其他命令的关系

```text
/constitution → 定义创作原则
     ↓
/specify → 定义故事规格
     ↓
/clarify → 澄清关键决策
     ↓
/plan → 制定创作计划
     ↓
/tasks → 分解执行任务
     ↓
/analyze (框架模式) → 验证准备就绪
     ↓
/write → 执行章节写作
     ↓
/analyze (内容模式) → 验证质量一致
     ↓
（循环：修订 → 继续写作 → 再次分析）
```

## 注意事项

### 智能但可控
- 自动模式覆盖 90% 的使用场景
- 手动模式应对特殊需求
- 用户无需记忆复杂规则

### 🆕 专项分析的使用场景

**何时使用专项分析？**

1. **--focus=opening**：完成前3章后立即使用
   - 开篇是读者留存的关键
   - 黄金开篇法则具有硬性要求
   - 早期发现问题成本更低

2. **--focus=pacing**：每10-15章使用一次
   - 检查节奏是否符合预期
   - 评估爽点/冲突分布合理性
   - 根据rhythm-config调整节奏

3. **--focus=character**：主要转折点后使用
   - 主角经历重大事件后
   - 配角出场或退场时
   - 人物关系发生变化时

4. **--focus=foreshadow**：每卷完成后使用
   - 检查伏笔是否遗漏
   - 评估伏笔埋设质量
   - 提前规划回收时机

5. **--focus=logic**：大纲调整后使用
   - 修改重要设定后
   - 调整时间线后
   - 增删章节内容后

6. **--focus=style**：批量修订前使用
   - 对比style-reference检查一致性
   - 发现AI腔和禁用词
   - 确保风格符合对标作品

**专项分析与全面分析的关系**：
- **全面分析**（默认）：适合阶段性检查（每5-10章）
- **专项分析**（--focus）：适合针对性优化（发现问题时）

**建议工作流**：
1. 每完成5-10章 → `/analyze`（全面分析）
2. 发现开篇问题 → `/analyze --focus=opening`
3. 节奏感觉不对 → `/analyze --focus=pacing`
4. 逻辑不确定 → `/analyze --focus=logic`
5. 修订前检查 → `/analyze --focus=style`

### 客观且建设
- 基于数据和标准分析
- 避免主观臆断
- 提供具体可执行建议

### 渐进式改进
- 分析是为了改进，不是批判
- 记录每次分析结果
- 追踪改进效果

### 🆕 与其他功能的协同

**专项分析自动读取的文件**：
- `spec/presets/golden-opening.md` → opening分析
- `spec/presets/rhythm-config.json` → pacing分析
- `.specify/memory/style-reference.md` → style分析
- `stories/*/specification.md` → 所有分析的基准

**优势**：
- 无需手动指定参考文件
- 自动应用对标作品标准
- 保持分析标准一致性


**记住**：**一个命令，三种模式（框架/内容/专项），智能而精准。analyze 的目的是让作品更好，无论是在写作前、写作后，还是针对特定维度。**
"""
